#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

Summary:	Identify specific nodes in a JSON document (RFC 6901)
Summary(pl.UTF-8):	Identyfikowanie określonych węzłów w dokumencie JSON (RFC 6901)
Name:		python3-jsonpointer
Version:	3.0.0
Release:	2
License:	BSD
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/jsonpointer/
Source0:	https://files.pythonhosted.org/packages/source/j/jsonpointer/jsonpointer-%{version}.tar.gz
# Source0-md5:	9a0b3e940bbd65f544f41018a904991f
URL:		https://pypi.org/project/jsonpointer/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	python3-modules >= 1:3.7
BuildRequires:	python3-setuptools
Requires:	python3-modules >= 1:3.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Library to resolve JSON Pointers according to RFC 6901.

%description -l pl.UTF-8
Biblioteka do rozwiązywania wskaźników JSON zgodnie z RFC 6901.

%package -n jsonpointer
Summary:	Identify specific nodes in a JSON document (RFC 6901)
Summary(pl.UTF-8):	Identyfikowanie określonych węzłów w dokumencie JSON (RFC 6901)
Group:		Applications/Text
Requires:	python3-jsonpointer = %{version}-%{release}

%description -n jsonpointer
Tool to resolve JSON Pointers according to RFC 6901.

%description -n jsonpointer -l pl.UTF-8
Narzędzie do rozwiązywania wskaźników JSON zgodnie z RFC 6901.

%prep
%setup -q -n jsonpointer-%{version}

%build
%py3_build

%if %{with tests}
%{__python3} tests.py
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS LICENSE.txt README.md
%{py3_sitescriptdir}/jsonpointer.py
%{py3_sitescriptdir}/__pycache__/jsonpointer.cpython-*.py[co]
%{py3_sitescriptdir}/jsonpointer-%{version}-py*.egg-info

%files -n jsonpointer
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/jsonpointer
%changelog
* Mon Jun 02 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-jsonpointer.git;a=log;h=master

* Mon Jun 02 2025 Jan Rękorajski <baggins@pld-linux.org> c0f639a
- rel 2, fix deps

* Mon Jun 02 2025 Jan Rękorajski <baggins@pld-linux.org> cf5a73d
- up to 3.0.0

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> f9521e0
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 0cf3822
- python 3.13 rebuild

* Sun Apr 02 2023 Jakub Bogusz <qboosh@pld-linux.org> 8c3a6f7
- updated to 2.3

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 6b7744a
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 83b3b3a
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> d4af014
- rebuild with python 3.10

* Mon Mar 14 2022 Jakub Bogusz <qboosh@pld-linux.org> 36fd128
- updated to 2.2

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 31574a7
- release 2 (by relup.sh)

* Mon Apr 13 2020 Jakub Bogusz <qboosh@pld-linux.org> 9308dfa
- updated to 2.0

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> e6f2613
- rebuild with python 3.8
- release 4 (by relup.sh)

* Sat Jul 07 2018 Jan Rękorajski <baggins@pld-linux.org> 73252ca
- make sure that py3 install will install jsonpointer script
- rel 3

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 79256bf
- release 2 (by relup.sh)

* Wed Aug 02 2017 Jacek Konieczny <j.konieczny@eggsoft.pl> dabf2d8
- new package

